<div class ="divusr" *ngIf="loginer.logined">
  <img src="../../assets/avatar.png"  class ="avatar" >
  <h2 class = "username"> Name: {{user.name}} </h2>
  <h2 class = "username ">Surname: {{user.surname}} </h2>
  <h2 class = "username ">Username : {{user.username}} </h2>
  <h2 class = "username ">E-mail: {{user.email}} </h2>
  <button class="btn btn-primary" (click)="onUpdateProfile()">Azuriraj profil</button>
</div>

<div [hidden]="updateProfileHidden">
  <form [formGroup]="form" (ngSubmit)="submitForm(form.value)">
  <div class="form-group">
    <label class = "lblReg" for="name">Name: </label>
    <input
        formControlName="name"
        id="name"
        class="form-control"
        type="text">
    <div *ngIf="f.name.touched && f.name.invalid" class="alert alert-danger">
        <div class="error-message" *ngIf="f.name.errors.pattern">Name is not valid.</div>
    </div>
    </div>
    <div class="form-group">
        <label class = "lblReg" for="surname">Surname: </label>
        <input
            formControlName="surname"
            id="surname"
            class="form-control"
            type="text">
        <div *ngIf="f.surname.touched && f.surname.invalid" class="alert alert-danger">
            <div class="error-message" *ngIf="f.surname.errors.pattern">Surname is not valid.</div>
        </div>
    </div>
    <div class="form-group">
        <label class = "lblReg" for="email">E-mail: </label>
        <input
            formControlName="email"
            id="email"
            class="form-control"
            type="text">
        <div *ngIf="f.email.touched && f.email.invalid" class="alert alert-danger">
            <div class="error-message" *ngIf="f.email.errors.email">E-mail is not valid.</div>
        </div>
    </div>
    <div class="form-group">
        <label class = "lblReg" for="username">Username</label>
        <input
            formControlName="username"
            id="username"
            class="form-control"
            type="text">
    </div>
    <br>

    <div class="form-group">
        <label class = "lblReg" for="password">Password</label>
        <input
            formControlName="password"
            id="password"
            type="password"
            class="form-control">
    </div>

    <div class="form-group">
        <label class = "lblReg" for="confirm_password">Confirm Password</label>
        <input
            formControlName="confirm_password"
            id="confirm_password"
            type="password"
            class="form-control">
        <div *ngIf="f.confirm_password.touched && f.confirm_password.invalid" class="alert alert-danger">
            <div class="error-message" *ngIf="f.confirm_password.errors.confirmedValidator">Password and Confirm Password must be match.</div>
        </div>
    </div>

    <button class="btn btn-primary btn-submit" type="submit" [disabled]="!form.valid">Submit</button>

  </form>
</div>

<mat-card class = "card" *ngFor="let destination of loginer.favourites" style="margin-top:10px;">
  <img class="image" style="height:70px; width: 200px;" src="{{ destination.icons }}" />
  <mat-card-header>
    <p class="title">{{destination.location}} - {{destination.agency}}</p>
</mat-card-header>
<mat-card-content>
  <div class="date">
    <p>Price: {{destination.price}} {{destination.currency}}
       Date: {{destination.departure | date}} - {{destination.arrival | date}}</p>
       <a mat-raised-button href="{{destination.links}}" target="_blank" class="btn">View link</a>
  </div>
    <p>
        {{destination.description}}
    </p>
    <button class="glyphicon glyphicon-remove" (click)= "removeDestination(destination)" *ngIf="loginer.logined" > </button>
</mat-card-content>
</mat-card>
